# ipeqt::SelectTool Class Reference
[Ipe Qt canvas]

A tool for selecting objects. More...

`#include <ipetool.h>`

Inherits ipeqt::Tool.

List of all members.

## Classes

- struct SObj

## Public Member Functions

- SelectTool (Canvas *canvas, Page *page, int view, double selectDistance, bool nonDestructive)
- virtual void draw (Painter &painter) const
- virtual void mouseButton (int button, bool press)
- virtual void mouseMove (int button)
- virtual bool key (int code, int modifiers, String text)

## Detailed Description

A tool for selecting objects.

## Constructor & Destructor Documentation

SelectTool::SelectTool | ( | Canvas * | canvas,
|  | Page * | page,
|  | int | view,
|  | double | selectDistance,
|  | bool | nonDestructive |
| ) |  |  |

Constructor starts selection.

## Member Function Documentation

void SelectTool::draw | ( | Painter & | painter | ) | const`[virtual]`

Implements ipeqt::Tool.

void SelectTool::mouseButton | ( | int | button,
|  | bool | press |
| ) |  |  | `[virtual]`

Reimplemented from ipeqt::Tool.

void SelectTool::mouseMove | ( | int | button | ) | `[virtual]`

Reimplemented from ipeqt::Tool.

bool SelectTool::key | ( | int | code,
|  | int | modifiers,
|  | String | text |
| ) |  |  | `[virtual]`

Reimplemented from ipeqt::Tool.

The documentation for this class was generated from the following files:

- ipetool.h
- ipetool.cpp